# Class Fns

java.lang.Object
org.fressian.impl.Fns

public class Fns extends Object

## Constructor Summary

Constructors
Constructor
Description
`Fns()`

## Method Summary

Modifier and Type
Method
Description
`static int[]`
`bufferStringChunkUTF8(CharSequence s, int start, byte[] byteBuffer)`
`static UUID`
`byteArrayToUUID(byte[] bytes)`
`static IllegalArgumentException`
`expected(Object expected, int ch)`
`static IllegalArgumentException`
`expected(Object expected, int ch, Object got)`
`static Class`
`getClassOrNull(Object o)`
`static int`
`intCast(long x)`
`static <K,V> V`
`lookup(ILookup<K,V> theLookup, K k)`
`static void`
`readUTF8Chars(StringBuffer dest, byte[] source, int offset, int length)`
`static <K,V> Map.Entry<K,V>`
`soloEntry(Map<K,V> m)`
`static <K,V> K`
`soloKey(Map<K,V> m)`
`static <K,V> Map<K,V>`
`soloMap(K k, V v)`
`static <K,V> V`
`soloVal(Map<K,V> m)`
`static int`
`utf8EncodingSize(int ch)`
`static byte[]`
`UUIDtoByteArray(UUID uuid)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Fns

public Fns()

## Method Details

### expected

public static IllegalArgumentException expected(Object expected, int ch)

### expected

public static IllegalArgumentException expected(Object expected, int ch, Object got)

### soloEntry

public static <K,V> Map.Entry<K,V> soloEntry(Map<K,V> m)

### UUIDtoByteArray

public static byte[] UUIDtoByteArray(UUID uuid)

### byteArrayToUUID

public static UUID byteArrayToUUID(byte[] bytes)

### soloKey

public static <K,V> K soloKey(Map<K,V> m)

### soloVal

public static <K,V> V soloVal(Map<K,V> m)

### soloMap

public static <K,V> Map<K,V> soloMap(K k, V v)

### lookup

public static <K,V> V lookup(ILookup<K,V> theLookup, K k)

### getClassOrNull

public static Class getClassOrNull(Object o)

### intCast

public static int intCast(long x)

### readUTF8Chars

public static void readUTF8Chars(StringBuffer dest, byte[] source, int offset, int length)

### utf8EncodingSize

public static int utf8EncodingSize(int ch)

### bufferStringChunkUTF8

public static int[] bufferStringChunkUTF8(CharSequence s, int start, byte[] byteBuffer) throws IOException

Throws:
  `IOException`